Page MenuHomePhabricator

Run ArticlePlaceholder tests as part of Wikibase CI
Closed, ResolvedPublic

Description

It looks like ArticlePlaceholder tests are not run as part of Wikibase CI, which may have caused T213739. We should probably fix that, and perhaps look for other extensions as well (@Tarrow suggests looking for all extensions that depend on Wikibase according to composer.json).

This is done in the integration/config repo in gerrit
This https://github.com/wikimedia/integration-config/blob/master/zuul/parameter_functions.py#L341-L354 is the list of extensions that runs with Wikibase CI

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 1:48 PM
Addshore triaged this task as Medium priority.Jan 17 2019, 4:44 PM
Addshore added a subscriber: Addshore.

This was missed but should have been moved to the iteration as we decided in the breakdown

Change 485753 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[integration/config@master] Add ArticlePlaceholder to Wikibase Tests

https://gerrit.wikimedia.org/r/485753

Change 485754 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[integration/config@master] Add ArticlePlaceholder to gated extensions

https://gerrit.wikimedia.org/r/485754

Patches are up; needs review and then possible deployment

Change 485753 merged by jenkins-bot:
[integration/config@master] Add ArticlePlaceholder to Wikibase Tests

https://gerrit.wikimedia.org/r/485753

Change 485754 merged by jenkins-bot:
[integration/config@master] Add ArticlePlaceholder to gated extensions

https://gerrit.wikimedia.org/r/485754

Addshore closed this task as Resolved.Jan 22 2019, 2:37 PM

Adding ArticlePlaceholder to gated extensions failed as it needs scribunto.
The main part of this task was adding ArticlePlaceholder to the Wikibase CI which has now been done.
Adding it to gated can be done as part of T204153